## php4-apd 0.4p2-6

=== Makefile ===
srcdir = /home/jon/APD/workingdir/php4-apd/php4-apd-0.4p2
builddir = /home/jon/APD/workingdir/php4-apd/php4-apd-0.4p2
top_srcdir = /home/jon/APD/workingdir/php4-apd/php4-apd-0.4p2
top_builddir = /home/jon/APD/workingdir/php4-apd/php4-apd-0.4p2
SHLIB_SUFFIX_NAME = so
shared_objects_apd = php_apd.lo apd_lib.lo opcode.lo apd_stack.lo
PHP_MODULES = $(phplibdir)/apd.la
all_targets = $(PHP_MODULES)
install_targets = install-modules
prefix = /usr
exec_prefix = $(prefix)
libdir = ${exec_prefix}/lib
prefix = /usr
phplibdir = /home/jon/APD/workingdir/php4-apd/php4-apd-0.4p2/modules
PHP_COMPILE =
CC = gcc
CFLAGS = -g -O2
CFLAGS_CLEAN = -g -O2
CPP = gcc -E
CPPFLAGS = -DHAVE_CONFIG_H
CXX = g++
DEFS =
EXTENSION_DIR = /usr/lib/php4/20020429
EXTRA_LDFLAGS =
EXTRA_LIBS =
INCLUDES = -I/usr/include/php4 -I/usr/include/php4/main -I/usr/include/php4/Zend -I/usr/include/php4/TSRM
LEX =
LEX_OUTPUT_ROOT =
LFLAGS =
LDFLAGS =
SHARED_LIBTOOL =
LIBTOOL = $(SHELL) $(top_builddir)/libtool
SHELL = /bin/sh
AWK = gawk
mkinstalldirs = $(top_srcdir)/build/shtool mkdir -p
INSTALL = $(top_srcdir)/build/shtool install -c
INSTALL_DATA = $(INSTALL) -m 644

DEFS = -DPHP_ATOM_INC -I$(top_builddir)/include -I$(top_builddir)/main -I$(top_srcdir)
COMMON_FLAGS = $(DEFS) $(INCLUDES) $(EXTRA_INCLUDES) $(CPPFLAGS) $(PHP_FRAMEWORKPATH)


all: $(all_targets) 
	@echo
	@echo "Build complete."
	@echo "(It is safe to ignore warnings about tempnam and tmpnam)."
	@echo
	
build-modules: $(PHP_MODULES)

libphp4.la: $(PHP_GLOBAL_OBJS) $(PHP_SAPI_OBJS)
	$(LIBTOOL) --mode=link $(CC) $(CFLAGS) $(EXTRA_CFLAGS) -rpath $(phptempdir) $(EXTRA_LDFLAGS) $(LDFLAGS) $(PHP_RPATHS) $(PHP_GLOBAL_OBJS) $(PHP_SAPI_OBJS) $(EXTRA_LIBS) $(ZEND_EXTRA_LIBS) -o $@
	-@$(LIBTOOL) --silent --mode=install cp libphp4.la $(phptempdir)/libphp4.la >/dev/null 2>&1

libs/libphp4.bundle: $(PHP_GLOBAL_OBJS) $(PHP_SAPI_OBJS)
	$(CC) $(MH_BUNDLE_FLAGS) $(CFLAGS_CLEAN) $(EXTRA_CFLAGS) $(LDFLAGS) $(EXTRA_LDFLAGS) $(PHP_GLOBAL_OBJS:.lo=.o) $(PHP_SAPI_OBJS:.lo=.o) $(PHP_FRAMEWORKS) $(EXTRA_LIBS) $(ZEND_EXTRA_LIBS) -o $@ && cp $@ libs/libphp4.so

install: $(all_targets) $(install_targets)

install-sapi: $(OVERALL_TARGET)
	@echo "Installing PHP SAPI module:       $(PHP_SAPI)"
	-@$(mkinstalldirs) $(INSTALL_ROOT)$(bindir)
	-@if test ! -r $(phptempdir)/libphp4.$(SHLIB_SUFFIX_NAME); then \
		for i in 0.0.0 0.0 0; do \
			if test -r $(phptempdir)/libphp4.$(SHLIB_SUFFIX_NAME).$$i; then \
				$(LN_S) $(phptempdir)/libphp4.$(SHLIB_SUFFIX_NAME).$$i $(phptempdir)/libphp4.$(SHLIB_SUFFIX_NAME); \
				break; \
			fi; \
		done; \
	fi
	@$(INSTALL_IT)

install-modules: build-modules
	@test -d modules && \
	$(mkinstalldirs) $(INSTALL_ROOT)$(EXTENSION_DIR) && \
	echo "Installing shared extensions:     $(INSTALL_ROOT)$(EXTENSION_DIR)/" && \
	rm -f modules/*.la && \
	$(INSTALL) modules/* $(INSTALL_ROOT)$(EXTENSION_DIR) >/dev/null 2>&1 || true

install-tester:
	@echo "Installing regression tester:     $(INSTALL_ROOT)$(PEAR_INSTALLDIR)/"
	@$(mkinstalldirs) $(INSTALL_ROOT)$(PEAR_INSTALLDIR)
	@$(INSTALL) -m 755 $(top_srcdir)/run-tests.php $(INSTALL_ROOT)$(PEAR_INSTALLDIR)

install-su: install-pear install-tester

test: 
	-@if test -x $(SAPI_CLI_PATH) && test ! -z $(SAPI_CLI_PATH); then \
		TEST_PHP_EXECUTABLE=$(top_builddir)/$(SAPI_CLI_PATH) \
		TEST_PHP_SRCDIR=$(top_srcdir) \
		CC="$(CC)" \
			$(top_builddir)/$(SAPI_CLI_PATH) -d 'open_basedir=' -d 'safe_mode=0' -d 'output_buffering=0' $(top_srcdir)/run-tests.php $(TESTS); \
	else \
		echo "ERROR: Cannot run tests without CLI sapi."; \
	fi

clean:
	find . -name \*.lo | xargs rm -f
	find . -name \*.o | xargs rm -f
	find . -name \*.la | xargs rm -f
	find . -name \*.a | xargs rm -f
	find . -name \*.so | xargs rm -f
	find . -name .libs -a -type d|xargs rm -rf
	rm -f libphp4.la $(SAPI_CLI_PATH) $(OVERALL_TARGET) modules/* libs/*

distclean: clean
	rm -f config.cache config.log config.status Makefile.objects Makefile.fragments libtool main/php_config.h stamp-h php4.spec sapi/apache/libphp4.module buildmk.stamp
	egrep define'.*include/php' configure|sed 's/.*>//'|xargs rm -f
	find . -name Makefile | xargs rm -f

.PHONY: all clean install distclean test
.NOEXPORT:
php_apd.lo: /home/jon/APD/workingdir/php4-apd/php4-apd-0.4p2/php_apd.c
	$(LIBTOOL) --mode=compile $(CC)  -I. -I/home/jon/APD/workingdir/php4-apd/php4-apd-0.4p2 $(COMMON_FLAGS) $(CFLAGS_CLEAN) $(EXTRA_CFLAGS) -prefer-pic -c /home/jon/APD/workingdir/php4-apd/php4-apd-0.4p2/php_apd.c -o php_apd.lo 
apd_lib.lo: /home/jon/APD/workingdir/php4-apd/php4-apd-0.4p2/apd_lib.c
	$(LIBTOOL) --mode=compile $(CC)  -I. -I/home/jon/APD/workingdir/php4-apd/php4-apd-0.4p2 $(COMMON_FLAGS) $(CFLAGS_CLEAN) $(EXTRA_CFLAGS) -prefer-pic -c /home/jon/APD/workingdir/php4-apd/php4-apd-0.4p2/apd_lib.c -o apd_lib.lo 
opcode.lo: /home/jon/APD/workingdir/php4-apd/php4-apd-0.4p2/opcode.c
	$(LIBTOOL) --mode=compile $(CC)  -I. -I/home/jon/APD/workingdir/php4-apd/php4-apd-0.4p2 $(COMMON_FLAGS) $(CFLAGS_CLEAN) $(EXTRA_CFLAGS) -prefer-pic -c /home/jon/APD/workingdir/php4-apd/php4-apd-0.4p2/opcode.c -o opcode.lo 
apd_stack.lo: /home/jon/APD/workingdir/php4-apd/php4-apd-0.4p2/apd_stack.c
	$(LIBTOOL) --mode=compile $(CC)  -I. -I/home/jon/APD/workingdir/php4-apd/php4-apd-0.4p2 $(COMMON_FLAGS) $(CFLAGS_CLEAN) $(EXTRA_CFLAGS) -prefer-pic -c /home/jon/APD/workingdir/php4-apd/php4-apd-0.4p2/apd_stack.c -o apd_stack.lo 
$(phplibdir)/apd.la: ./apd.la
	$(LIBTOOL) --mode=install cp ./apd.la $(phplibdir)

./apd.la: $(shared_objects_apd) $(APD_SHARED_DEPENDENCIES)
	$(LIBTOOL) --mode=link $(CC) $(COMMON_FLAGS) $(CFLAGS_CLEAN) $(EXTRA_CFLAGS) $(LDFLAGS) -o $@ -export-dynamic -avoid-version -prefer-pic -module -rpath $(phplibdir) $(EXTRA_LDFLAGS) $(shared_objects_apd) $(APD_SHARED_LIBADD)

## php4-apd 0.4p2-3

=== debian/changelog ===
php4-apd (0.4p2-3) unstable; urgency=low

  * Fixed 'recommends' field: now recommends php4 instead of php4-apache
    Closes: #240557
  * Changed location of module from /usr/lib/php4 to /usr/lib/php4/20020429
    Closes: #224240

 -- Jonathan Oxer <jon@debian.org>  Fri,  2 Apr 2004 09:42:17 +1000

php4-apd (0.4p2-2) unstable; urgency=low

  * Removed some of the build-depends since they're in build-essential
    anyway, and removed other build-depends version requirements.
    Closes: #208747

 -- Jonathan Oxer <jon@debian.org>  Fri,  5 Sep 2003 22:20:50 +1000

php4-apd (0.4p2-1) unstable; urgency=low

  * Initial Release.
    Closes: #179100

 -- Jonathan Oxer <jon@debian.org>  Mon, 25 Aug 2003 16:33:24 +1000

=== debian/control ===
Source: php4-apd
Section: web
Priority: optional
Maintainer: Jonathan Oxer <jon@debian.org>
Build-Depends: debhelper (>> 4.0.0), binutils, php4-dev (>= 4.3 )
Standards-Version: 3.6.1

Package: php4-apd
Architecture: any
Depends: ${shlibs:Depends}, php4-cgi (>= 4:4.3), php4-pear
Recommends: php4 (>= 4:4.3)
Description: PHP code execution profiler and debugger
 Advanced PHP Debugger is a full-featured PHP profiler/debugger that 
 is loaded as a zend_extension. It aims to be an analog of C's gprof 
 or Perl's Devel::DProf, and provides PHP developers with a number of 
 additional functions which can be used to obtain internal code 
 execution details such as timing information, function call tree and 
 stack backtrace. This is particularly useful for performance profiling 
 purposes. See pear.php.net/apd for more information.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	phpize
	./configure
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/php4-apd.sgml > php4-apd.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -f config.status config.log
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -m755 modules/apd.so debian/php4-apd/usr/lib/php4/20020429/apd.so
	# Add here commands to install the package into debian/php4-apd.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/php4-apd
	install -m755 pprofp debian/php4-apd/usr/bin/pprofp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_install
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## php4-apd 0.4p2-5

=== debian/changelog ===
php4-apd (0.4p2-5) unstable; urgency=low

  * Rolled back to build against non-ZTS ABI

 -- Jonathan Oxer <jon@debian.org>  Thu, 14 Apr 2005 13:52:20 +1000

php4-apd (0.4p2-4) unstable; urgency=low

  * Changed installation directory for the ZTS (Zend Thread Safe) build
    of php4.
    Closes: #294012, #293959
  * Altered postinst to no longer ask whether it should configure APD: now
    it just does it, and upgrades old configs where necessary.

 -- Jonathan Oxer <jon@debian.org>  Sat,  5 Mar 2005 22:47:14 +1100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: web
 Priority: optional
 Maintainer: Jonathan Oxer <jon@debian.org>
-Build-Depends: debhelper (>> 4.0.0), binutils, php4-dev (>= 4.3 )
+Build-Depends: debhelper (>> 4.0.0), binutils, php4-dev (>= 4:4.3.10-3 )
 Standards-Version: 3.6.1
 
 Package: php4-apd
 Architecture: any
-Depends: ${shlibs:Depends}, php4-cgi (>= 4:4.3), php4-pear
+Depends: ${php:Depends}, ${shlibs:Depends}, php4-cli (>= 4:4.3), php4-pear
 Recommends: php4 (>= 4:4.3)
 Description: PHP code execution profiler and debugger
  Advanced PHP Debugger is a full-featured PHP profiler/debugger that

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,9 @@
 #export DH_VERBOSE=1
 
 
-
+PHP_PREFIX=/usr
+phpapiver=$(shell grep '\#define PHP_API_VERSION ' $(PHP_PREFIX)/include/php4/main/php.h |sed 's/\#define PHP_API_VERSION //')
+extdir=$(shell $(PHP_PREFIX)/bin/php-config --extension-dir)
 
 CFLAGS = -Wall -g
 
@@ -55,9 +57,10 @@
 	dh_clean -k
 	dh_installdirs
 
-	install -m755 modules/apd.so debian/php4-apd/usr/lib/php4/20020429/apd.so
 	# Add here commands to install the package into debian/php4-apd.
 	#$(MAKE) install DESTDIR=$(CURDIR)/debian/php4-apd
+	mkdir -p debian/php4-apd/$(extdir)
+	install -m755 modules/apd.so debian/php4-apd/$(extdir)/apd.so
 	install -m755 pprofp debian/php4-apd/usr/bin/pprofp

## php4-apd 0.4p2-6

=== debian/changelog ===
php4-apd (0.4p2-6) unstable; urgency=low

  * Major new upstream release.
  * Build against Zend ABI 20050606.
    Closes: #322150, #341324
  * Added postinst and prerm config management for libapache2-mod-php4.
    Closes: #322149

 -- Jonathan Oxer <jon@debian.org>  Wed, 30 Nov 2005 14:11:00 +1100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jonathan Oxer <jon@debian.org>
 Build-Depends: debhelper (>> 4.0.0), binutils, php4-dev (>= 4:4.3.10-3 )
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 
 Package: php4-apd
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 
 
 PHP_PREFIX=/usr
-phpapiver=$(shell grep '\#define PHP_API_VERSION ' $(PHP_PREFIX)/include/php4/main/php.h |sed 's/\#define PHP_API_VERSION //')
+#phpapiver=$(shell grep '\#define PHP_API_VERSION ' $(PHP_PREFIX)/include/php4/main/php.h |sed 's/\#define PHP_API_VERSION //')
+# We need to use the Zend module version so temporarily hard-code it here instead of using the PHP_API_VERSION above
+phpapiver="20050606";
 extdir=$(shell $(PHP_PREFIX)/bin/php-config --extension-dir)
 
 CFLAGS = -Wall -g
